Subject: Re: Matrix chat room about NNCP

From: John Goerzen <[email-masked]>
Date: Sun, 23 Jan 2022 21:36:30 -0600

On Sun, Jan 23 2022, Sergey Matveev wrote:

> Greetings!
>
> *** John Goerzen [2022-01-21 14:44]:
>>Matrix is a distributed global chat network, sort of like an open-source
>>non-centralized Slack or a modernized IRC.
>
> Just my two cents about Matrix:

Before I reply:

I just bridged it with irc.oftc.net #nncp also.  So you can definitely
use it via IRC as well.

> Unfortunately literally all the time I wanted to try it, I have never
> succeeded in its server building/running. Neither with Python-based, nor

The reference server, Synapse, is indeed Python-based and
resource-hungry.  I deploy it with
https://github.com/spantaleev/matrix-docker-ansible-deploy but I think
most people just pick an existing server.

> Also when I looked at available clients, there were no console/TUI/CLI
> based with OLM-encryption support. So I just did not see why I would

E2E Encryption doesn't matter much for a public room, and is usually
disabled in them for that reason.  But I believe E2E is supported in
most TUI clients these days; for instance, in weechat, which I'm using.

> bother with Matrix at all -- it just lacked (lacks?) usable server and
> client implementations. I remember how easy it was to setup XMPP-server
> with Prosody.im. I know how easily you can run IRC-server with
> feature-rich https://ergo.chat/ or with my minimalistic
> http://www.git.cypherpunks.ru/?p=goircd.git;a=summary. But when I tried
> Matrix servers/clients half a dozen times -- there were not any close to
> all that simplicity.

I ran XMPP servers myself for awhile.  There are a lot of pathologies
with them that Matrix just gets right.  Element is a fantastic client,
and is cross-platform (web, mobile, etc).  It solves the multiple
devices connected problem a lot better than any XMPP clients did,
syncing read status, etc.  Basically Matrix is building a distributed,
open, credible competitor to Slack - and I'm glad of it.

> but my patience is too limited. Mainly I just do not see any advantages
> that would force me to try all of it again.

Everyone in the world is unique, and I'm glad of it.  To each his own
:-)

Feel free to drop by, on Matrix or IRC, if you like.

- John